Subject: Re: [Alsa-devel] [RFC 3/8] snd-aoa: add soundbus

From: Andreas Schwab <[email-masked]>
Date: Fri, 02 Jun 2006 16:41:14 +0200

Takashi Iwai <[email-masked]> writes:

> At Fri, 02 Jun 2006 16:07:05 +0200,
> Johannes Berg wrote:
>> 
>> On Fri, 2006-06-02 at 15:53 +0200, Takashi Iwai wrote:
>> > > +	if (strlen(sdev->modalias)) {
>> > > +		length = snprintf (buf, 34, "%s\n", sdev->modalias);
>> > 
>> > sizeof(sdev->modalias) + 2?  But still strange if modalias has no
>> > nul-end.
>> 
>> Hm, how would I handle that if modalias has no nul?
>
> Well, I'm not sure whether modalias is always nul-terminated.

If modalias is not nul-terminated then strlen will already fail.

> Otherwise (if not nul-terminated), I'd implement like:
>
> 	strlcpy(buf, sdev->modalias, sizeof(sdev->modalias) + 1);
> 	strcpy(buf, "\n");

strcat?

Andreas.

-- 
Andreas Schwab, SuSE Labs, [email-masked]
SuSE Linux Products GmbH, Maxfeldstraße 5, 90409 Nürnberg, Germany
PGP key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."